Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229493 - clurgmgrd oops in dlm send_cluster_request
Summary: clurgmgrd oops in dlm send_cluster_request
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: dlm
Version: 4
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Teigland
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-21 15:24 UTC by David Teigland
Modified: 2009-04-16 20:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-22 20:03:27 UTC


Attachments (Terms of Use)

Description David Teigland 2007-02-21 15:24:02 UTC
Description of problem:
copying email from Alain.Moulle@bull.net:

CS4 U4 on re-built on kernel 2.6.18 .

Thanks if you can help.
Alain

clurgmgrd[10573]: Oops 11012296146944 [1]

total 41928
-rw-------  1 root root 41681907 Feb 12 10:40 dump.200702121040
-rw-r--r--  1 root root   257896 Feb 12 10:40 Kerntypes-2.6.18-B64k.1.7.20070212
1040
-rw-r--r--  1 root root   934507 Feb 12 10:40
System.map-2.6.18-B64k.1.7.200702121040
[root@nova6 dump]#

............................................................................
  <4>clurgmgrd[10573]: Oops 11012296146944 [1]
    <4>Modules linked in: mptctl sg scsi_dump perfbull mdm nfsd exportfs nfs
lockd dlm cman eip ep rms elan4 elan3
sunrpc elan qsnet ide_cd cdrom vfat fat dm_mod thermal processor fan button
uhci_hcd ehci_hcd e100 e1000 lpfc
scsi_transport_fc ext3 jbd mptspi csi_transport_spi mptscsih mptbase sd_mod scsi
_mod
    <4>
    <4>Pid: 10573, CPU 0, comm:            clurgmgrd
    <4>psr : 0000121008026018 ifs : 800000000000050f ip  : [<a000000209282a51>]
   Not tainted
    <4>ip is at send_cluster_request+0x1d1/0x1140 [dlm]
    <4>unat: 0000000000000000 pfs : 000000000000050f rsc : 0000000000000003
    <4>rnat: a07fffffff75d9d0 bsps: a07fffffff708f50 pr  : 01000004a555a6a5
    <4>ldrs: 0000000000000000 ccv : 0000000000000000 fpsr: 0009804c8a70433f
    <4>csd : 0000000000000000 ssd : 0000000000000000
    <4>b0  : a0000002092829a0 b6  : a0000001001b7680 b7  : a000000100111f80
    <4>f6  : 1003e0000000000000000 f7  : 1003e6db6db6db6db6db7
    <4>f8  : 1003e000000000020ee14 f9  : 1003e0000000000000016
    <4>f10 : 1003e2e8ba2e8ba2e8ba3 f11 : 1003e0000000000000000
    <4>r1  : a000000209296088 r2  : e00000010af79ec8 r3  : e0000004b44c0000
    <4>r8  : e0000004b44c0000 r9  : 00000000ffffffff r10 : 0000000000000000
    <4>r11 : a07fffffeb5f70ac r12 : e000002002cbfda0 r13 : e000002002cb0000
    <4>r14 : 61616161616161e1 r15 : e0000004b44c0039 r16 : e000002002cbfdb0
    <4>r17 : 0000000000000000 r18 : e0000004b44c0000 r19 : e0000004b44c0000
    <4>r20 : 0000000000000000 r21 : 6161616161616161 r22 : e00000210a7105f8
    <4>r23 : 6161616161616161 r24 : e00000210a710600 r25 : e00000210a7105b0
    <4>r26 : e000002002cbfdb0 r27 : e0000004b44c0070 r28 : e0000004b44c0072
    <4>r29 : a0000002092bb1e0 r30 : 0000000000000000 r31 : 0000000000000081
    <4>
    <4>Call Trace:
    <4> [<a000000100010f60>] show_stack+0x80/0xa0
    <4>                                sp=e000002002cbf930 bsp=e000002002cb1628
    <4> [<a000000100011870>] show_regs+0x890/0x8c0
    <4>                                sp=e000002002cbfb00 bsp=e000002002cb15d8
    <4>    r32 : e000002002cbfd28 r33 : e000002002cbfb10 r34 : e000002002cbfc20
    <4>    r35 : e000002002cbfc58 r36 : e000002002cbfc70 r37 : e000002002cbfc30
    <4>    r38 : a000000100037b20 r39 : 0000000000000510 r40 : e000002002cbfb30
    <4> [<a000000100037b20>] die+0x1a0/0x4c0
    <4>                                sp=e000002002cbfb20 bsp=e000002002cb1588
    <4>    r32 : a0000001005e8fc8 r33 : e000002002cbfbe0 r34 : 00000a0400000000
    <4>    r35 : 0000000000000000 r36 : a000000100736ae0 r37 : a000000100736ad8
    <4>    r38 : a000000100736adc r39 : a00000010005bd70 r40 : 0000000000000691
    <4>    r41 : a000000100a6e140
    <4> [<a00000010005bd70>] ia64_do_page_fault+0x8f0/0x9a0
    <4>                                sp=e000002002cbfb40 bsp=e000002002cb1520
    <4>    r32 : 000000000000ffff r33 : 00000a0400000000 r34 : e000002002cbfbe0
    <4>    r35 : 0000121008026018 r36 : a000000100873150 r37 : e000002002cbfc28
    <4>    r38 : e000002002cbfc20 r39 : 0000000000000003 r40 : 000000000000000b
    <4>    r41 : 0000000000030001 r42 : a00000010000b780 r43 : 0000000000000003
    <4>    r44 : 000000000000068f
    <4> [<a00000010000b780>] ia64_leave_kernel+0x0/0x280
    <4>                                sp=e000002002cbfbd0 bsp=e000002002cb1520
    <4> [<a000000209282a50>] send_cluster_request+0x1d0/0x1140 [dlm]
    <4>                                sp=e000002002cbfda0 bsp=e000002002cb14a8
    <4>    r32 : e00000210a710570 r33 : 0000000000000003 r34 : 0000000000000001
    <4>    r35 : e0000040025b6280 r36 : e0000040062412c8 r37 : e0000040062413b0
    <4>    r38 : e00000010af79ec0 r39 : a000000209283a20 r40 : 000000000000038b
    <4>    r41 : a000000209296088 r42 : e0000004b44c0000 r43 : e000002002cbfdb0
    <4>    r44 : 0000000000000002 r45 : e000002002cbfdb0 r46 : e00000010af79ed0
    <4> [<a000000209283a20>] remote_stage+0x60/0x140 [dlm]
    <4>                                sp=e000002002cbfdb0 bsp=e000002002cb1470
    <4>    r32 : e00000210a710570 r33 : 0000000000000003 r34 : e00000210a71057c
    <4>    r35 : e00000210a7105a8 r36 : a00000020927e980 r37 : 000000000000038c
    <4>    r38 : a000000209296088
    <4> [<a00000020927e980>] dlm_lock_stage2+0x80/0x1c0 [dlm]
    <4>                                sp=e000002002cbfdb0 bsp=e000002002cb1438
    <4>    r32 : e0000040025b6280 r33 : e00000210a710570 r34 : e0000040062412c8
    <4>    r35 : 0000000000000000 r36 : a00000020927ede0 r37 : 0000000000000510
    <4>    r38 : a000000209296088
    <4> [<a00000020927ede0>] dlm_lock_stage1+0x320/0x520 [dlm]
    <4>                                sp=e000002002cbfdb0 bsp=e000002002cb13e0
    <4>    r32 : e0000040025b6280 r33 : e00000210a710570 r34 : 0000000000000001
    <4>    r35 : e00000010b73db00 r36 : 0000000000000018 r37 : e000002002cbfdc0
    <4>    r38 : 0000000000000000 r39 : a00000020927fd00 r40 : 0000000000000998
    <4>    r41 : a000000209296088
    <4> [<a00000020927fd00>] dlm_lock+0x5c0/0xa40 [dlm]
    <4>                                sp=e000002002cbfdc0 bsp=e000002002cb1348
    <4>    r32 : e0000040025b6280 r33 : 0000000000000000 r34 : 0000000011cf0114
    <4>    r35 : 0000000000000001 r36 : e00000010b73db00 r37 : 0000000000000018
    <4>    r38 : e00000210a710570 r39 : 000000003fffff00 r40 : 0000000000000000
    <4>    r41 : fffffffffffffff4 r42 : e0000040025b6388 r43 : e000000101452c8c
    <4>    r44 : e000000101452c80 r45 : 0000000000000008 r46 : e00000210a71057c
    <4>    r47 : a0000002092782a0 r48 : 0000000000000593 r49 : a000000209296088
    <4>    r50 : 0000000005a95695
    <4> [<a0000002092782a0>] do_user_lock+0x3a0/0x860 [dlm]
    <4>                                sp=e000002002cbfdc0 bsp=e000002002cb12f0
    <4>    r32 : e000004002535980 r33 : e000000101452ce8 r34 : a0000002092bb1b8
    <4>    r35 : e000000101452c80 r36 : 0000000000000005 r37 : e00000010b73da92
    <4>    r38 : e000000101452c8c r39 : 0000000000000001 r40 : a0000002092796d0
    <4>    r41 : 0000000000000715 r42 : a000000209296088
    <4> [<a0000002092796d0>] dlm_write+0x930/0x1040 [dlm]
    <4>                                sp=e000002002cbfe00 bsp=e000002002cb1280
    <4>    r32 : e000004002535980 r33 : 200000000198e450 r34 : ffffffffffffffea
    <4>    r35 : e000002002cbfe38 r36 : e00000010b73da80 r37 : 000000000000009f
    <4>    r38 : 200000000198e860 r39 : 200000000198e688 r40 : e000004004d52b30
    <4>    r41 : c00000000000030a r42 : a00000010013a970 r43 : 0000000000000590
    <4>    r44 : a000000209296088 r45 : 0000000005a5aa59
    <4> [<a00000010013a970>] vfs_write+0x1f0/0x400
    <4>                                sp=e000002002cbfe20 bsp=e000002002cb1228
    <4>    r32 : e0000040064b4f80 r33 : 200000000198e450 r34 : 000000000000009f
    <4>    r35 : e000002002cbfe38 r36 : e0000040064b4fa0 r37 : 0000000000000000
    <4>    r38 : 0000000000000000 r39 : 0000000000000000 r40 : a00000010013acd0
    <4>    r41 : 0000000000000793 r42 : a000000100a6e140
    <4> [<a00000010013acd0>] sys_write+0x70/0xe0
    <4>                                sp=e000002002cbfe20 bsp=e000002002cb11a8
    <4>    r32 : 0000000000000008 r33 : 200000000198e450 r34 : 000000000000009f
    <4>    r35 : 200000000198f320 r36 : 20000000005753c8 r37 : 2000000000576818
    <4>    r38 : 0000000000000040 r39 : 2000000000577060 r40 : e0000040064b4fb8
    <4>    r41 : e0000040064b4f80 r42 : e000002002cbfe38 r43 : fffffffffffffff7
    <4>    r44 : a00000010000b600 r45 : 0000000000000003 r46 : 0000000000000000
    <4> [<a00000010000b600>] ia64_ret_from_syscall+0x0/0x20
    <4>                                sp=e000002002cbfe30 bsp=e000002002cb11a8
    <4> [<a000000000010640>] __kernel_syscall_via_break+0x0/0x20
    <4>                                sp=e000002002cc0000 bsp=e000002002cb11a8
    <4>LKCD: CPU : 0 Reconfiguring memory bank information....
    <4>LKCD: This may take a while....
    <4>First cpu will configure dump header
    <4>LKCD: smp_num_cpus in header 16
    <4>CPU 0, 15 cpus remaining
    <4>Last cpu
    <4>LKCD: Dumping to block device (8,17) on CPU 0 using polling I/O ...
    <4>LKCD: Writing dump header




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 David Teigland 2007-05-30 18:19:11 UTC
This bug will be closed soon if there's no further activity.



Note You need to log in before you can comment on or make changes to this bug.